Yum repo for asterisk has mismatched versions

Yesterday the asterisk18 code of asterisk was upgraded to 1.8.9.0-1_centos5

It seems that the addons are still at 1.8.7.0-2_centos5 which means that things like cdr_mysql.so are no longer compatible and are now not working on updated systems.

Was this something missed or something I should have checked before doing an update.

We typically yum update automatically daily and this one has broken a number of servers

Who’s repos are you referring to?

Sorry about that, Of course I should have listed it.

its asterisk-current with info of

http://packages.asterisk.org/centos/$releasever/current/$basearch/

I then realised that they don’t offer the repo anymore and it seems its only partially updated.

I changed to
[asterisk-1.8]
name=CentOS-$releasever - Asterisk 1.8
baseurl=http://packages.asterisk.org/centos/$releasever/asterisk-1.8/$basearch/
enabled=0
gpgcheck=0
#gpgkey=http://packages.asterisk.org/RPM-GPG-KEY-Digium

and it all works fine now (albeit with package name changes)

Thanks for your time.